Bug 1548187

Summary: drupal: Comment reply form allows access to restricted content
Product: [Other] Security Response Reporter: Laura Pardo <lpardo>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED ERRATA QA Contact:
Severity: medium Docs Contact:
Priority: medium    
Version: unspecifiedCC: lpardo, shawn
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: drupal 8.4.5 Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2019-02-25 15:06:35 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On: 1548188    
Bug Blocks:    

Description Laura Pardo 2018-02-22 23:34:20 UTC
A flaw was found in Drupal 8. Users with permission to post comments are able to view content and comments they do not have access to, and are also able to add comments to this content.

This vulnerability is mitigated by the fact that the comment system must be enabled and the attacker must have permission to post comments.


References:
https://www.drupal.org/sa-core-2018-001

Comment 1 Laura Pardo 2018-02-22 23:34:40 UTC
Created drupal8 tracking bugs for this issue:

Affects: fedora-all [bug 1548188]

Comment 2 Shawn Iwinski 2019-02-23 07:48:37 UTC
All dependent bugs have been closed.  Can this tracking bug be closed as well?

Comment 3 Laura Pardo 2019-02-25 15:06:35 UTC
In reply to comment #2:
> All dependent bugs have been closed.  Can this tracking bug be closed as
> well?

Yes. Closing

Comment 4 Fedora Update System 2019-03-12 21:47:48 UTC
drupal6-6.38-2.el6 has been pushed to the Fedora EPEL 6 stable repository. If problems still persist, please make note of it in this bug report.